---
title: Get Image Transformations C2PA setting
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Zones](https://developers.cloudflare.com/api/python/resources/zones)

[Transformations C2pa](https://developers.cloudflare.com/api/python/resources/zones/subresources/transformations_c2pa)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get Image Transformations C2PA setting

zones.transformations\_c2pa.get(TransformationsC2paGetParams\*\*kwargs) -> [TransformationsC2pa](<https://developers.cloudflare.com/api/python/resources/zones#(resource)%20zones.transformations_c2pa%20%3E%20(model)%20transformations_c2pa%20%3E%20(schema)>)

GET/zones/{zone\_id}/settings/transformations\_c2pa

C2PA (Coalition for Content Provenance and Authenticity) signing adds cryptographic metadata to images processed through Cloudflare Image Transformations, enabling verification of image authenticity and provenance.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Zone Settings Write``Zone Settings Read`

##### ParametersExpand Collapse

zone\_id: str

Identifier.

maxLength32

[Link to this property](<#(resource)%20zones.transformations_c2pa%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20zone_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class TransformationsC2pa: …

Controls C2PA signing for images processed through Cloudflare Image Transformations.

</summary>

id: Optional\[Literal\["image\_resizing\_c2pa"]]

ID of the zone setting.

<a href="#(resource)%20zones.transformations_c2pa%20%3E%20(model)%20transformations_c2pa%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

<details>

<summary>

editable: Optional\[Literal\[true, false]]

Whether or not this setting can be modified for this zone (based on your Cloudflare plan level).

</summary>

One of the following:

true

<a href="#(resource)%20zones.transformations_c2pa%20%3E%20(model)%20transformations_c2pa%20%3E%20(schema)%20%3E%20(property)%20editable%20%3E%20(member)%200">Link to this property</a>

false

<a href="#(resource)%20zones.transformations_c2pa%20%3E%20(model)%20transformations_c2pa%20%3E%20(schema)%20%3E%20(property)%20editable%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20zones.transformations_c2pa%20%3E%20(model)%20transformations_c2pa%20%3E%20(schema)%20%3E%20(property)%20editable">Link to this property</a>

modified\_on: Optional\[datetime]

last time this setting was modified.

formatdate-time

<a href="#(resource)%20zones.transformations_c2pa%20%3E%20(model)%20transformations_c2pa%20%3E%20(schema)%20%3E%20(property)%20modified_on">Link to this property</a>

<details>

<summary>

value: Optional\[Literal\["on", "off"]]

Current value of the zone setting.

</summary>

One of the following:

"on"

<a href="#(resource)%20zones.transformations_c2pa%20%3E%20(model)%20transformations_c2pa%20%3E%20(schema)%20%3E%20(property)%20value%20%3E%20(member)%200">Link to this property</a>

"off"

<a href="#(resource)%20zones.transformations_c2pa%20%3E%20(model)%20transformations_c2pa%20%3E%20(schema)%20%3E%20(property)%20value%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20zones.transformations_c2pa%20%3E%20(model)%20transformations_c2pa%20%3E%20(schema)%20%3E%20(property)%20value">Link to this property</a>

</details>

[Link to this property](<#(resource)%20zones.transformations_c2pa%20%3E%20(model)%20transformations_c2pa%20%3E%20(schema)>)

### Get Image Transformations C2PA setting

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
transformations_c2pa = client.zones.transformations_c2pa.get(
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(transformations_c2pa.id)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "image_resizing_c2pa",
    "editable": true,
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "value": "on"
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "image_resizing_c2pa",
    "editable": true,
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "value": "on"
  }
}
```